.bbd-product-sticky-add-to-cart {
  position: fixed;
  z-index: 7;
  margin: 0;
  inset: auto 0 0;
  padding-inline: var(--page-margin);
  transform: translateY(100%);
  transition: transform var(--animation-speed-slow) ease-in-out;
  background-color: var(--color-background);
  border-top: var(--style-border-drawer);
  box-shadow: var(--shadow-drawer);

  &.visible {
    transform: translateY(0);
  }
}

.bbd-product-sticky-add-to-cart__container {
  align-items: baseline;

  @media screen and (min-width: 750px) {
    align-items: center;
  }
}

.bbd-product-sticky-add-to-cart__heading {
  display: flex;
  align-items: center;
  gap: var(--gap-lg);
  grid-column: 1 / span 8;

  @media screen and (min-width: 750px) {
    grid-column: 1 / 7;
  }
}

.bbd-product-sticky-add-to-cart__media {
  display: flex;
  width: 80px;
  height: 80px;
  padding: var(--padding-2xs);
  background-color: var(--color-card-background);

  img {
    width: 100%;
    height: 100%;
    object-fit: contain;
  }
}

.bbd-product-sticky-add-to-cart__title {
  display: flex;
  flex-direction: column;
  margin: 0;
  font-size: var(--font-size--md);
  font-weight: var(--font-weight--medium);
  line-height: 1.4;

  @media screen and (min-width: 750px) {
    font-size: var(--font-size--2xl);
    line-height: 1.2;
  }
}

.bbd-product-sticky-add-to-cart__subtitle {
  text-transform: none;
  font-size: var(--font-size--sm);
  font-weight: var(--font-weight--regular);
  color: var(--color-caption);

  @media screen and (min-width: 750px) {
    font-size: var(--font-size--md);
  }
}

.bbd-product-sticky-add-to-cart__price {
  grid-column: 9 / -1;
  font-size: var(--font-size--md);
  font-weight: var(--font-weight--medium);
  text-align: right;

  > div {
    display: flex;
    flex-direction: column-reverse;
    line-height: 1.2;
  }

  @media screen and (min-width: 750px) {
    grid-column: 7 / 9;
    padding-inline-end: var(--padding-xl);
    font-size: var(--font-size--2xl);

    > div {
      display: flex;
      flex-direction: row;
      gap: var(--gap-md);
      justify-content: flex-end;
    }
  }
}

.bbd-product-sticky-add-to-cart__buttons {
  grid-column: 1 / -1;

  @media screen and (min-width: 750px) {
    grid-column: 9 / -1;
  }
}
